import { AbstractRepository } from '@crosslab/service-common';
import { ParticipantModel } from '../model.js';
export class ParticipantRepository extends AbstractRepository {
    dependencies = {};
    constructor() {
        super('Participant');
    }
    dependenciesMet() {
        return true;
    }
    initialize(entityManager) {
        this.repository = entityManager.getRepository(ParticipantModel);
    }
    async write(model, data) {
        if (data.role)
            model.role = data.role;
        if (data.serviceId)
            model.serviceId = data.serviceId;
        if (data.config)
            model.config = data.config;
    }
    async format(model) {
        return {
            role: model.role,
            serviceId: model.serviceId,
            config: model.config,
        };
    }
}
//# sourceMappingURL=participant.js.map